- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRerunPlaybook#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRerunPlaybook#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRerunPlaybook#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRerunPlaybook#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRerunPlaybook#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRerunPlaybook#body.LegacyPlaybookRerunPlaybookResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRerunPlaybook#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyRerunPlaybook#body.aspect_1)

**Full name**: projects.locations.instances.legacyPlaybooks.legacyRerunPlaybook

Re-executes the associated playbook on a specific alert.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyRerunPlaybook`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to rerun the playbook for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "cyberCaseId": string, "alertGroupIdentifier": string, "alertIdentifier": string, "wfName": string, "originalWorkflowDefinitionIdentifier": string, "shouldRunAutomatic": boolean } ``` |

| Fields ||
|---|---|
| `cyberCaseId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The cyber case id. |
| `alertGroupIdentifier` | `string` Required. The alert group identifier. |
| `alertIdentifier` | `string` Required. The alert identifier. |
| `wfName` | `string` Required. The workflow name. |
| `originalWorkflowDefinitionIdentifier` | `string` Optional. The original workflow definition identifier. |
| `shouldRunAutomatic` | `boolean` Required. Indicates if the workflow should run automatically. |

### Response body

LegacyPlaybookRerunPlaybookResponse is a response for rerunning a playbook.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/WorkflowInstance`) } } ``` |

| Fields ||
|---|---|
| `payload` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/WorkflowInstance`)`` Optional. The workflow instance. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPlaybooks.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).